#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

const long MAX_PLAYERS = 7000;
const long MAX_DIFF = 50000;
const double eps = 1e-2;

struct Player
{
	long height;
	long index;
};

Player players[MAX_PLAYERS];
//int was[MAX_PLAYERS];
long cPlayers;

long order[MAX_PLAYERS];

Player p1, p2;
int cmp(const void* ppl1, const void* ppl2)
{
	 p1 = *((Player*)ppl1);
	 p2 = *((Player*)ppl2);

	 if (p1.height < p2.height) return -1;
	 if (p1.height > p2.height) return 1;
//	 if (p1.index < p2.index) return -1;
//	 if (p1.index > p2.index) return 1;
	 
	 return 0;
}

/*
int CheckIt()
{
	long maxSum = 0, minSum = 0, curSum = 0;

	memset(was, 0 , sizeof(was));

    for (long i = 0; i < cPlayers; ++i)
	{
		if (order[i] < 0 || order[i] >= cPlayers) return 0;
		if (was[order[i]]) return 0;

		was[order[i]] = 1;

		curSum += players[order[i]].height;

		if (maxSum < curSum)
			maxSum = curSum;

		if (minSum > curSum)
			minSum = curSum;
	}
	return (maxSum - minSum <= 2*MAX_DIFF) && (curSum == 0);
}*/

int main(void)
{	
#ifndef ONLINE_JUDGE
	freopen("input.txt", "r", stdin);
	freopen("output.txt", "w", stdout);
#endif

	long iPlayer;


	scanf("%ld\n", &cPlayers);

	for (iPlayer = 0; iPlayer < cPlayers; ++iPlayer)
	{
		char buffer[1000], second[1000];
		long first, cFields;
		scanf("%s", buffer);
		cFields = sscanf(buffer, "%ld%*[.,]%s", &first, second);
		if(cFields == 1)	players[iPlayer].height = (first-2)*1000000;
		else
		{
			players[iPlayer].height = (first-2)*1000000;
			for(long iDigit=0, powerOfTen=100000; iDigit < strlen(second); ++iDigit, powerOfTen /= 10)
			{
				players[iPlayer].height += (second[iDigit]-'0')*powerOfTen;
			}
		}
		players[iPlayer].index = iPlayer;
	}

	qsort(players, cPlayers, sizeof(players[0]), cmp);

	
	long low = 0;
	long high = cPlayers-1;
	int getHigh = 0;
	long cOrder = 0;
	long sum = 0;

	while (high >= low)
	{
		if (getHigh)
		{
			if ((sum + players[high].height > MAX_DIFF) || (sum + players[high].height < -MAX_DIFF))
			{
				getHigh = 0;
				continue;
			}

			sum += players[high].height;
			order[cOrder++] = players[high--].index;
		}
		else
		{
			if ((sum + players[low].height > MAX_DIFF) || (sum + players[low].height < -MAX_DIFF))
			{
				getHigh = 1;
				continue;
			}

			sum += players[low].height;
			order[cOrder++] = players[low++].index;
		}
	}

	long a = 0;
	if (sum != 0)
	{
		a = 1 / a;
	}
	else
	{
//		if (!CheckIt())
//		{
//			a = 1 / a;
//		}

		puts("yes");
		for (iPlayer = 0; iPlayer < cPlayers; ++iPlayer)
		{
			if (iPlayer > 0)
				putchar(' ');
			printf("%ld", order[iPlayer] + 1);
		}
		putchar('\n');
	}



#ifndef ONLINE_JUDGE
	fclose(stdout);
	fclose(stdin);
#endif
	return 0;
}
